.TH "pyspottedunipd.ngrams.models.Cup" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.ngrams.models.Cup \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits object\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self)"
.br
.ti -1c
.RI "def \fBadd_next_word\fP (self, word)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "\fBnext_word\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.PP
.nf
A class defining a cup that will hold the words that we will pull out 
.fi
.PP
 
.PP
Definition at line 25 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.models\&.Cup\&.__init__ ( self)"

.PP
Definition at line 28 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.models\&.Cup\&.add_next_word ( self,  word)"

.PP
.nf
:param word: str
    Next word to add
:return: void
    Used to add words to the cup and keep track of how many times we see it

.fi
.PP
 
.PP
Definition at line 33 of file models\&.py\&.
.SH "Member Data Documentation"
.PP 
.SS "pyspottedunipd\&.ngrams\&.models\&.Cup\&.next_word"

.PP
Definition at line 31 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
